Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class DefaultStyledDocument.ElementBuffer

    java.lang.Object
      |
      +--javax.swing.text.DefaultStyledDocument.ElementBuffer

public class DefaultStyledDocument.ElementBuffer
extends java.lang.Object
implements java.io.Serializable

Class to manage changes to the element hierarchy.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Constructor Summary
`DefaultStyledDocument.ElementBuffer(Element root)` Creates a new ElementBuffer.

Method Summary
`void` | `change(int offset, int length, AbstractDocument.DefaultDocumentEvent de)` Changes content.
`protected void` | `changeUpdate()` Updates the element structure in response to a change in the document.
`Element` | `clone(Element parent, Element clonee)` Creates a copy of this element, with a different parent.
`Element` | `getRootElement()` Gets the root element.
`void` | `insert(int offset, int length, DefaultStyledDocument.ElementSpec[] data, AbstractDocument.DefaultDocumentEvent de)` Inserts new content.
`protected void` | `insertUpdate(DefaultStyledDocument.ElementSpec[] data)` Inserts an update into the document.
`void` | `remove(int offset, int length, AbstractDocument.DefaultDocumentEvent de)` Removes content.
`protected void` | `removeUpdate()` Updates the element structure in response to a removal from the associated sequence in the document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultStyledDocument.ElementBuffer

    public DefaultStyledDocument.ElementBuffer(Element root)

  Creates a new ElementBuffer.
  Parameters:
    `root` - the root element

Method Detail

### getRootElement

    public Element getRootElement()

  Gets the root element.
  Returns:
    the root element

### insert

    public void insert(int offset,
                       int length,
                       DefaultStyledDocument.ElementSpec[] data,
                       AbstractDocument.DefaultDocumentEvent de)

  Inserts new content.
  Parameters:
    `offset` - the starting offset >= 0
    `length` - the length >= 0
    `data` - the data to insert
    `de` - the event capturing this edit

### remove

    public void remove(int offset,
                       int length,
                       AbstractDocument.DefaultDocumentEvent de)

  Removes content.
  Parameters:
    `offset` - the starting offset >= 0
    `length` - the length >= 0
    `de` - the event capturing this edit

### change

    public void change(int offset,
                       int length,
                       AbstractDocument.DefaultDocumentEvent de)

  Changes content.
  Parameters:
    `offset` - the starting offset >= 0
    `length` - the length >= 0
    `de` - the event capturing this edit

### insertUpdate

    protected void insertUpdate(DefaultStyledDocument.ElementSpec[] data)

  Inserts an update into the document.
  Parameters:
    `data` - the elements to insert

### removeUpdate

    protected void removeUpdate()

  Updates the element structure in response to a removal from the associated sequence in the document. Any elements consumed by the span of the removal are removed.

### changeUpdate

    protected void changeUpdate()

  Updates the element structure in response to a change in the document.

### clone

    public Element clone(Element parent,
                         Element clonee)

  Creates a copy of this element, with a different parent.
  Parameters:
    `parent` - the parent element
    `clonee` - the element to be cloned
  Returns:
    the copy

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.